#include "Services/TestService.hpp"

void TestService::areYouAlive(Message &request) {
	// TM[17,2] are-you-alive connection test report
	Message report = createTM(2);

	storeMessage(report);
}

void TestService::onBoardConnection(Message &request) {
	// TM[17,4] on-board connection test report
	Message report = createTM(4);

	report.appendUint16(request.readUint16());
	// just print it on the screen
	storeMessage(report);
}

void TestService::execute(Message &message) {
	switch (message.messageType) {
		case 1:
			areYouAlive(message);
			break;
		case 3:
			onBoardConnection(message);
			break;
		default:
			// cout is very bad for embedded systems
			std::cout << "Error: There is not such a message type in ST[17] test";
			assert(false);
			break;
	}
}
